System.Design 2.0.0.0 System.Object System.IServiceProvider To be added.

Represents an object in a design host such as vsprvslong. This class must be inherited.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

  The parent designer.
  The name of the object.
- Property
  2.0.0.0
  System.Web.UI.Design.ControlDesigner To be added. To be added.

  Gets the associated designer component.

- Method
  2.0.0.0
  System.Object `` To be added.

  Gets a service from the design host, as identified by the provided type.

  The requested service.

  The type of service being requested.
- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the name of the object.

- Property
  2.0.0.0
  System.Collections.IDictionary To be added. To be added.

  Gets the object's properties.

- Method
  2.0.0.0
  System.Object `` To be added.

  For a description of this member, see .

  The requested service.

  The type of service being requested.